path: /build/build/linecache2-dev-python-1.0.0.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-python_targets_pypy3 -python_targets_python2_7 -python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 -test python_targets_python3_9" emerge dev-python/linecache2 -pv -t && \
    USE="-python_targets_pypy3 -python_targets_python2_7 -python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 -test python_targets_python3_9" emerge -j ${JOBS} --nodeps dev-python/linecache2
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/linecache2 && luet-portage --dir /pkgdir/linecache2
    dev-python/linecache2 && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:a4cb95568712443c951fdee425f683b838de5df5c88a43747129a7e73bf3559b
  package:
    name: linecache2
    version: 1.0.0
    category: dev-python
    use_flags:
    - -python_targets_pypy3
    - -python_targets_python2_7
    - -python_targets_python3_10
    - -python_targets_python3_7
    - -python_targets_python3_8
    - -test
    - python_targets_python3_9
    requires:
    - name: macaroni-funtoo-race16
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Backports of the linecache module
    uri:
    - https://github.com/testing-cabal/linecache2
    license: PSF-2
    buildtimestamp: 2023-09-24 09:12:43.876071149 +0000 UTC m=+98.592083791
    labels:
      DEPEND: dev-python/pbr[python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,python_targets_python3_10(-)?,-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-),-python_single_target_python3_10(-)]
        dev-python/setuptools[python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,python_targets_python3_10(-)?,-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-),-python_single_target_python3_10(-)]
        test? ( dev-python/fixtures[python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,python_targets_python3_10(-)?,-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-),-python_single_target_python3_10(-)]
        dev-python/unittest2[python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,python_targets_python3_10(-)?,-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-),-python_single_target_python3_10(-)]
        ) python_targets_pypy3? ( >=dev-python/pypy3-7.3.0:0= ) python_targets_python3_7?
        ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 )
        python_targets_python3_8? ( dev-lang/python:3.8 ) python_targets_python2_7?
        ( >=dev-lang/python-2.7.5-r2:2.7 ) python_targets_python3_10? ( dev-lang/python:3.10
        ) >=dev-lang/python-exec-2:=[python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,python_targets_python3_10(-)?,-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-),-python_single_target_python3_10(-)]
        >=dev-python/setuptools-42.0.2[python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,python_targets_python3_10(-)?,-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-),-python_single_target_python3_10(-)]
      IUSE: test python_targets_pypy3 python_targets_python3_7 python_targets_python3_9
        python_targets_python3_8 python_targets_python2_7 python_targets_python3_10
      RDEPEND: python_targets_pypy3? ( >=dev-python/pypy3-7.3.0:0= ) python_targets_python3_7?
        ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 )
        python_targets_python3_8? ( dev-lang/python:3.8 ) python_targets_python2_7?
        ( >=dev-lang/python-2.7.5-r2:2.7 ) python_targets_python3_10? ( dev-lang/python:3.10
        ) >=dev-lang/python-exec-2:=[python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,python_targets_python3_10(-)?,-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-),-python_single_target_python3_10(-)]
      emerge.packages: dev-python/linecache2
      kit: python-modules-kit
      original.package.name: dev-python/linecache2
      original.package.slot: "0"
      original.package.version: 1.0.0
    treedir: /build/packages
  package_dir: /pkgdir/linecache2
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 7c0d853fe5eeed1ef9dd403944323125098617a170d795a638023d73369e57f3
compressiontype: zstd
files:
- usr/lib/python3.9/site-packages/linecache2/__init__.py
- usr/lib/python3.9/site-packages/linecache2/__pycache__/__init__.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/linecache2/__pycache__/__init__.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/linecache2/__pycache__/__init__.cpython-39.pyc
- usr/lib/python3.9/site-packages/linecache2/tests/__init__.py
- usr/lib/python3.9/site-packages/linecache2/tests/__pycache__/__init__.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/linecache2/tests/__pycache__/__init__.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/linecache2/tests/__pycache__/__init__.cpython-39.pyc
- usr/lib/python3.9/site-packages/linecache2/tests/__pycache__/inspect_fodder.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/linecache2/tests/__pycache__/inspect_fodder.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/linecache2/tests/__pycache__/inspect_fodder.cpython-39.pyc
- usr/lib/python3.9/site-packages/linecache2/tests/__pycache__/inspect_fodder2.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/linecache2/tests/__pycache__/inspect_fodder2.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/linecache2/tests/__pycache__/inspect_fodder2.cpython-39.pyc
- usr/lib/python3.9/site-packages/linecache2/tests/__pycache__/mapping_tests.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/linecache2/tests/__pycache__/mapping_tests.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/linecache2/tests/__pycache__/mapping_tests.cpython-39.pyc
- usr/lib/python3.9/site-packages/linecache2/tests/__pycache__/test_linecache.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/linecache2/tests/__pycache__/test_linecache.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/linecache2/tests/__pycache__/test_linecache.cpython-39.pyc
- usr/lib/python3.9/site-packages/linecache2/tests/inspect_fodder.py
- usr/lib/python3.9/site-packages/linecache2/tests/inspect_fodder2.py
- usr/lib/python3.9/site-packages/linecache2/tests/mapping_tests.py
- usr/lib/python3.9/site-packages/linecache2/tests/test_linecache.py
- usr/lib/python3.9/site-packages/linecache2-1.0.0-py3.9.egg-info/PKG-INFO
- usr/lib/python3.9/site-packages/linecache2-1.0.0-py3.9.egg-info/SOURCES.txt
- usr/lib/python3.9/site-packages/linecache2-1.0.0-py3.9.egg-info/dependency_links.txt
- usr/lib/python3.9/site-packages/linecache2-1.0.0-py3.9.egg-info/not-zip-safe
- usr/lib/python3.9/site-packages/linecache2-1.0.0-py3.9.egg-info/pbr.json
- usr/lib/python3.9/site-packages/linecache2-1.0.0-py3.9.egg-info/top_level.txt
- usr/share/doc/linecache2-1.0.0/AUTHORS
- usr/share/doc/linecache2-1.0.0/ChangeLog.bz2
- usr/share/doc/linecache2-1.0.0/README.rst
- var/db/pkg/dev-python/linecache2-1.0.0/BUILD_TIME
- var/db/pkg/dev-python/linecache2-1.0.0/CATEGORY
- var/db/pkg/dev-python/linecache2-1.0.0/CBUILD
- var/db/pkg/dev-python/linecache2-1.0.0/CFLAGS
- var/db/pkg/dev-python/linecache2-1.0.0/CHOST
- var/db/pkg/dev-python/linecache2-1.0.0/CONTENTS
- var/db/pkg/dev-python/linecache2-1.0.0/COUNTER
- var/db/pkg/dev-python/linecache2-1.0.0/CXXFLAGS
- var/db/pkg/dev-python/linecache2-1.0.0/DEFINED_PHASES
- var/db/pkg/dev-python/linecache2-1.0.0/DEPEND
- var/db/pkg/dev-python/linecache2-1.0.0/DESCRIPTION
- var/db/pkg/dev-python/linecache2-1.0.0/EAPI
- var/db/pkg/dev-python/linecache2-1.0.0/FEATURES
- var/db/pkg/dev-python/linecache2-1.0.0/HOMEPAGE
- var/db/pkg/dev-python/linecache2-1.0.0/INHERITED
- var/db/pkg/dev-python/linecache2-1.0.0/IUSE
- var/db/pkg/dev-python/linecache2-1.0.0/IUSE_EFFECTIVE
- var/db/pkg/dev-python/linecache2-1.0.0/KEYWORDS
- var/db/pkg/dev-python/linecache2-1.0.0/LDFLAGS
- var/db/pkg/dev-python/linecache2-1.0.0/LICENSE
- var/db/pkg/dev-python/linecache2-1.0.0/PF
- var/db/pkg/dev-python/linecache2-1.0.0/RDEPEND
- var/db/pkg/dev-python/linecache2-1.0.0/SIZE
- var/db/pkg/dev-python/linecache2-1.0.0/SLOT
- var/db/pkg/dev-python/linecache2-1.0.0/USE
- var/db/pkg/dev-python/linecache2-1.0.0/environment.bz2
- var/db/pkg/dev-python/linecache2-1.0.0/linecache2-1.0.0.ebuild
- var/db/pkg/dev-python/linecache2-1.0.0/repository
package_cacheimage: ""
runtime:
  name: linecache2
  version: 1.0.0
  category: dev-python
  use_flags:
  - -python_targets_pypy3
  - -python_targets_python2_7
  - -python_targets_python3_10
  - -python_targets_python3_7
  - -python_targets_python3_8
  - -test
  - python_targets_python3_9
  requires:
  - name: python
    version: '>=0'
    category: dev-lang-3.9
  - name: python-exec
    version: '>=0'
    category: dev-lang-2
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Backports of the linecache module
  uri:
  - https://github.com/testing-cabal/linecache2
  license: PSF-2
  labels:
    DEPEND: dev-python/pbr[python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,python_targets_python3_10(-)?,-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-),-python_single_target_python3_10(-)]
      dev-python/setuptools[python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,python_targets_python3_10(-)?,-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-),-python_single_target_python3_10(-)]
      test? ( dev-python/fixtures[python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,python_targets_python3_10(-)?,-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-),-python_single_target_python3_10(-)]
      dev-python/unittest2[python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,python_targets_python3_10(-)?,-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-),-python_single_target_python3_10(-)]
      ) python_targets_pypy3? ( >=dev-python/pypy3-7.3.0:0= ) python_targets_python3_7?
      ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
      ( dev-lang/python:3.8 ) python_targets_python2_7? ( >=dev-lang/python-2.7.5-r2:2.7
      ) python_targets_python3_10? ( dev-lang/python:3.10 ) >=dev-lang/python-exec-2:=[python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,python_targets_python3_10(-)?,-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-),-python_single_target_python3_10(-)]
      >=dev-python/setuptools-42.0.2[python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,python_targets_python3_10(-)?,-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-),-python_single_target_python3_10(-)]
    IUSE: test python_targets_pypy3 python_targets_python3_7 python_targets_python3_9
      python_targets_python3_8 python_targets_python2_7 python_targets_python3_10
    RDEPEND: python_targets_pypy3? ( >=dev-python/pypy3-7.3.0:0= ) python_targets_python3_7?
      ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
      ( dev-lang/python:3.8 ) python_targets_python2_7? ( >=dev-lang/python-2.7.5-r2:2.7
      ) python_targets_python3_10? ( dev-lang/python:3.10 ) >=dev-lang/python-exec-2:=[python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,python_targets_python3_10(-)?,-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-),-python_single_target_python3_10(-)]
    emerge.packages: dev-python/linecache2
    kit: python-modules-kit
    original.package.name: dev-python/linecache2
    original.package.slot: "0"
    original.package.version: 1.0.0
